//

#include <stdio.h>
#include <unistd.h>

#include <qapplication.h>
#include <qmainwindow.h>

#include <qstatusbar.h>
#include <qtoolbar.h>
#include <qscrollbar.h>



#include "malbox.h"
#include "progressbox.h"

#include "camera_def.h"
#include "camreal.h"


class Kamera : public QMainWindow
{
  Q_OBJECT
public:
   Kamera::Kamera(QWidget *parent,
                  CameraApplicationClass *mainCameraApplication);
   
   
   QStatusBar *dieStatusBar;
   
   ScrollMalBox *malBox;   
   ProgressBox  *progressBox;

   CameraApplicationClass *cameraApplication;

   public slots:  
   void DoAboutBox();
   void DoSettingsBox();
   void Beenden();
   void DoControlBox();
   
   void LadeThumbnails();
   
   void LadeAlleBilder();
   void LadeSelektierteBilder();

   void LoescheAlleBilder();
   void LoescheSelektierteBilder();

   protected:
   void closeEvent(QCloseEvent *);

   private:
      void bildname(int nummer,int *selektiertListe,char *zielname,int *zielIndex);
      void laden(int nummer,int *selektiertListe);

   static bool LoadProgressCallback(void *klassenPointer, float fortschritt);
   
   bool loadProgress(float fortschritt);
}; // class Kamera

